به بخش پرسش و پاسخ یادگیری عمیق خوش آمدید,
این نسخه آزمایشی سایت است.
لطفا به نکات زیر توجه کنید:
  • برای ارتباط با مدیران میتوانید از صفحه مدیران اقدام کنید.
  • سوال و جواب ها باید به زبان فارسی باشند. استفاده از زبان انگلیسی یا فینگلیش برای پاسخ دادن مجاز نیست.
  • لطفا بعد از پرسش سوال لینک سوال خود را در گرو تلگرام (Iran Deep Learning Group) معرفی کنید تا سریعتر به جواب برسید. برای دسترسی به آخرین لینک از منابع یادگیری استفاده کنید
  • لطفا بجای عکس از متن استفاده کنید. اگر متون طولانی هستند از سایت pastebin.com برای اپلود استفاده کرده و لینک حاصل را در سوال خود قرار دهید. برای قرار دادن تصویر ، از بخش ارسال تصویر ادیتور سایت استفاده کنید.
  • بعد از دریافت پاسخ، بهترین پاسخ را از طریق کلیک بر روی علامت تیک انتخاب کنید
  • اگر با خطا و یا مشکلی مواجه شدید از بخش تماس با ما در انتهای صفحه و یا ایمیل Coderx7@gmail.com موضوع را اطلاع دهید.

با تشکر

0 امتیاز

سلام وقتتون بخیر
بعد از انجام تمامی مراحل نصب وتست درست کار کردن آنها وقتی می خوام لیست دیوایس ها رو ببینم و بفهمم که آیا gpu رو شناخته یا نه در محیط پایچارم دو خط زیر را اجرا گرفتم :

from tensorflow.python.client import device_lib
print(device_lib.list_local_devices())

متاسفانه جوابی که دریافت کردم این بود :

2018-10-28 15:58:46.111772: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 FMA
[name: "/device:CPU:0"
device_type: "CPU"
memory_limit: 268435456
locality {
}
incarnation: 16015345003685307405
]

Process finished with exit code 0

اینطور که ظاهرا معلوم اصلا gpu رو نشناخته حالا باید چی کار کنم ؟؟؟!!! در حالیکه هم درایور رو نصب کردم و هم همه پیش نیازهای و هرچیزی دیگه ای که سایت گفته شده بود رو کامل نصب کردم.

سوال شده توسط (207 امتیاز)
وقتی cuda رو نصب میکنین خودش متناسب با ورژنش درایور کارت گرافیک رو هم نصب میکنه و به نظرم بهتره ورژن درایوری که نصب میکنه رو تغییر ندید و آپدیتش نکنید. منcuda رو طبق روش سایت nvidia نصب کردم با 16.04 و به مشکلی نخوردم.
خروجی دستور nvidia-smi رو هم چک کنید.

ولی در کل برای راحتی از Anaconda استفاده کنید. ظاهرا در نسخه های اخیر کتابخونه های مورد نیاز رو هم نصب میکنه »

  [1]: https://towardsdatascience.com/tensorflow-gpu-installation-made-easy-use-conda-instead-of-pip-52e5249374bc

2 پاسخ

+1 امتیاز
 
بهترین پاسخ

بعد از کلی سرچ کردن و با کمک لینک زیر و استفاده از دستور زیر مشکل برطرف شد
https://github.com/NVIDIA/DIGITS/issues/8

 sudo ldconfig /usr/local/cuda/lib64

خدایا شکرت
بالاخره حل شد

پاسخ داده شده توسط (207 امتیاز)
0 امتیاز

سلام
طبق کدوم سایت نصب کردین؟
الان این کد رو اجرا میکنین ارور میده؟

import tensorflow as tf
with tf.device('/gpu:0'):
    a = tf.constant([1.0, 2.0, 3.0, 4.0, 5.0, 6.0], shape=[2, 3], name='a')
    b = tf.constant([1.0, 2.0, 3.0, 4.0, 5.0, 6.0], shape=[3, 2], name='b')
    c = tf.matmul(a, b)

with tf.Session() as sess:
    print (sess.run(c))
پاسخ داده شده توسط (305 امتیاز)
از سایت بچه های همین سایت deeplearning.ir
خطایی که می ده اینه :2018-10-29 08:06:10.758175: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 FMA
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1292, in _do_call
    return fn(*args)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1275, in _run_fn
    self._extend_graph()
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1312, in _extend_graph
    tf_session.ExtendSession(self._session)
tensorflow.python.framework.errors_impl.InvalidArgumentError: Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPU:0 but available devices are [ /job:localhost/replica:0/task:0/device:CPU:0 ]. Make sure the device specification refers to a valid device.
     [[{{node MatMul}} = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/dr/PycharmProjects/01/02.py", line 8, in <module>
    print (sess.run(c))
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 887, in run
    run_metadata_ptr)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1110, in _run
    feed_dict_tensor, options, run_metadata)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1286, in _do_run
    run_metadata)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/client/session.py", line 1308, in _do_call
    raise type(e)(node_def, op, message)
tensorflow.python.framework.errors_impl.InvalidArgumentError: Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPU:0 but available devices are [ /job:localhost/replica:0/task:0/device:CPU:0 ]. Make sure the device specification refers to a valid device.
     [[{{node MatMul}} = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]

Caused by op 'MatMul', defined at:
  File "/home/dr/PycharmProjects/01/02.py", line 5, in <module>
    c = tf.matmul(a, b)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/ops/math_ops.py", line 2053, in matmul
    a, b, transpose_a=transpose_a, transpose_b=transpose_b, name=name)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/ops/gen_math_ops.py", line 4560, in mat_mul
    name=name)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/op_def_library.py", line 787, in _apply_op_helper
    op_def=op_def)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/util/deprecation.py", line 488, in new_func
    return func(*args, **kwargs)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 3272, in create_op
    op_def=op_def)
  File "/usr/local/lib/python3.5/dist-packages/tensorflow/python/framework/ops.py", line 1768, in __init__
    self._traceback = tf_stack.extract_stack()

InvalidArgumentError (see above for traceback): Cannot assign a device for operation 'MatMul': Operation was explicitly assigned to /device:GPU:0 but available devices are [ /job:localhost/replica:0/task:0/device:CPU:0 ]. Make sure the device specification refers to a valid device.
     [[{{node MatMul}} = MatMul[T=DT_FLOAT, transpose_a=false, transpose_b=false, _device="/device:GPU:0"](a, b)]]


Process finished with exit code 1
وقتی در کد شما  بجای gpu از cpuاستفاده میکنم جواب می ده با یه خط قرمز رنگ اول:
2018-10-29 08:07:17.873897: I tensorflow/core/platform/cpu_feature_guard.cc:141] Your CPU supports instructions that this TensorFlow binary was not compiled to use: AVX2 FMA
[[22. 28.]
 [49. 64.]]


Process finished with exit code 0
درایور رو از طریق Additional drivers نصب کردم به نظرتون مشکل از اینجا نیست شاید باید از روش دوم و از طریق غیر فال کردن nouveauبرم !!!!!!!!؟؟؟؟
...